Skip to main content
GET
/
v1
/
knowledge-base
/
knowledge-bases
/
{kb_id}
/
sources
List Sources
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/knowledge-base/knowledge-bases/{kb_id}/sources \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "provider": "notion",
      "integration_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "config": {},
      "last_sync_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "integration_key": "<string>",
      "connection_nickname": "<string>",
      "connection_metadata": {},
      "auto_sync_enabled": false,
      "sync_interval_seconds": 123,
      "next_sync_at": "2023-11-07T05:31:56Z",
      "last_auto_sync_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

kb_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
SourceResponse · object[]
required
has_more
boolean
required
next_cursor
string | null